Bug 1324967 - [RFE] Mark required fields conditionally based on other fields
Summary: [RFE] Mark required fields conditionally based on other fields
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-07 17:12 UTC by Og Maciel
Modified: 2018-07-17 19:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-17 19:19:32 UTC


Attachments (Terms of Use)
Mark puppet environment as a required field (73.09 KB, image/png)
2016-04-07 17:12 UTC, Og Maciel
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21678 None None None 2017-11-15 14:55:39 UTC

Description Og Maciel 2016-04-07 17:12:05 UTC
Created attachment 1144819 [details]
Mark puppet environment as a required field

This screenshot shows that "Puppet Environment" is a required field for provisioning new hosts. However, the form does not flag this field as being required. Other required fields have an "*" next to them to denote them as being required.

Comment 4 Ivan Necas 2016-04-15 08:48:52 UTC
The puppet environment is required field only when a puppet master is selected on the host. http://projects.theforeman.org/issues/7450. Given the current complexity of the host form UI, I don't think the gain for making sure we flag the environment as required only when puppet master is selected is worth the effort (even not sure it would get accepted upstream).

Given the context, I suggest keeping this for sat-future and addressing it as part of bigger UI facelift with some better javascript plumbing around.

Since it's not just a missed flag on obviously required field and there are reasons why it's not flagged by default, I don't agree on the blocker flag here.

Comment 5 Marek Hulan 2017-11-15 14:52:07 UTC
I think this won't be implemented until we have a way of specifying required fields validations based on other fields selections. That sounds more like a new way of rendering forms. Also it should not be addressed just for this field but rather every field, e.g. subnet has some fields required for ipv4 only.

Converting to a more generic RFE

Comment 6 Marek Hulan 2017-11-15 14:55:36 UTC
Created redmine issue http://projects.theforeman.org/issues/21678 from this bug

Comment 8 Bryan Kearney 2018-07-17 19:19:32 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.